import { computed } from 'vue';

import { useAccess } from '@vben/access';
import { useUserStore } from '@vben/stores';

const userStore = useUserStore();
const userId = userStore.userInfo?.userId;

const { hasAccessByRoles } = useAccess();
// 操作工
const operator = computed(() => hasAccessByRoles(['operator']));
// 维修工
const repair = computed(() => hasAccessByRoles(['repair']));

export function useRoleBaseFilters() {
  const params: any = {};
  // 操作工只能查询自己创建的数据
  if (operator.value) {
    params.createBy = userId;
  }
  // 维修工只能查询未接单状态的报修单（具体状态参加字典repair_req_status）
  if (repair.value) {
    params.status = '0';
  }
  return { params };
}
